%define _bugzillalibdir %{_datadir}/bugzilla

Summary: A bug tracking system developed by mozilla.org.
Name: bugzilla
Version: 2.22
Release: 2.CCList
#Release: %atrelease 18
URL: http://www.bugzilla.org/
Source0: http://ftp.mozilla.org/pub/mozilla.org/webtools/%{name}-%{version}.tar.gz
#Source0: %{name}-%{version}.tar.bz2
Source1: bugzilla.conf
Source2: bugzilla.sql
Source3: bugzilla.cron
Patch0: bugzilla-cclist.patch
License: MPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: perl(AppConfig) >= 1.52
BuildRequires: perl(CGI) >= 2.93
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format) >= 2.21
BuildRequires: perl(DBI) >= 1.38
BuildRequires: perl(DBD::mysql) >= 2.1010
BuildRequires: perl(File::Spec) >= 0.84
BuildRequires: perl(File::Temp)
BuildRequires: perl(Template) >= 2.08
BuildRequires: perl(Text::Wrap) >= 2001.0131
BuildRequires: perl(Mail::Mailer) >= 1.67
BuildRequires: perl(MIME::Base64) >= 3.01
BuildRequires: perl(MIME::Parser) >= 5.406
BuildRequires: perl(GD) >= 1.20
BuildRequires: perl(Chart::Base) >= 1.0
BuildRequires: perl(XML::Parser)
BuildRequires: perl(GD::Graph)
BuildRequires: perl(GD::Text::Align)
BuildRequires: perl(PatchReader) >= 0.9.4
BuildRequires: /usr/bin/cvs, /usr/bin/diff, /usr/bin/interdiff
BuildRequires: perl(Net::LDAP), graphviz
BuildRequires: perl(XML::Twig), perl(Image::Magick)
Requires: perl(AppConfig) >= 1.52
Requires: perl(CGI) >= 2.93
Requires: perl(Data::Dumper)
Requires: perl(Date::Format) >= 2.21
Requires: perl(DBI) >= 1.38
Requires: perl(DBD::mysql) >= 2.1010
Requires: perl(DBD::Pg) >= 1.31
# DBD::Pg 1.43 has a bug which causes checksetup.pl to fail and
# corrupt the database. If you are using DBD::Pg 1.43, either
# downgrade to 1.41 or upgrade to 1.45 (1.42 and 1.44 seem broken
# somehow too)
#Conflicts: perl(DBD::Pg) = 1.42, perl(DBD::Pg) = 1.43, perl(DBD::Pg) = 1.44
Requires: perl(File::Spec) >= 0.84
Requires: perl(File::Temp)
Requires: perl(Template) >= 2.08
Requires: perl(Text::Wrap) >= 2001.0131
Requires: perl(Mail::Mailer) >= 1.67
Requires: perl(MIME::Base64) >= 3.01
Requires: perl(MIME::Parser) >= 5.406
Requires: perl(GD) >= 1.20
Requires: perl(Chart::Base) >= 1.0
Requires: perl(XML::Parser)
Requires: perl(GD::Graph)
Requires: perl(GD::Text::Align)
Requires: perl(PatchReader) >= 0.9.4
Requires: /usr/bin/cvs, /usr/bin/diff, /usr/bin/interdiff
Requires: perl(Net::LDAP), graphviz
Requires: perl(XML::Twig), perl(Image::Magick)
PreReq: /usr/bin/mkpasswd

#BuildRequires: fakeroot

# next bugzilla release will require 2:5.8.0
# For reference: perl epochs: 1:5.6.1 2:5.8.0 3:5.8.1-6 4:5.8.8-
Requires: perl >= 1:5.6.0, httpd
Requires: mysql >= 4.0.14
#Requires: postgresql >= 7.3
Requires: /usr/sbin/sendmail
Provides: perl(CGI.pl), perl(globals.pl), perl(BugzillaEmail)

%description
Bugzilla is an enterprise-class piece of software that powers
issue-tracking for hundreds of organizations around the world,
tracking millions of bugs.

%prep
%setup -q
%patch -p0 -b .cclist
grep -lr '#! */usr/local/bin/ruby' . \
  | xargs perl -pi -e 's,/usr/local/bin/ruby,%{_bindir}/ruby,'
perl -pi -e "s/\\\$self->charset('');/\\\$self->charset('ISO-8859-1');/" Bugzilla/CGI.pm
cp -a %{SOURCE2} .

%build
./checksetup.pl
cp -a localconfig localconfig.org
perl -pi -e "s/\\\$index_html = 0;/\\\$index_html = 1;/" localconfig
perl -pi -e "s/\\\$db_pass = '';/\\\$db_pass = 'THEPASSWORD';/" localconfig
perl -pi -e "s/\\\$webservergroup = \"nobody\";/\\\$webservergroup = \"apache\";/" localconfig

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_bugzillalibdir}

cp -a * .??* %{buildroot}%{_bugzillalibdir}

cd %{buildroot}%{_bugzillalibdir}
perl -pi -e 's/$db_check = 1;/$db_check = 0;/' localconfig
#fakeroot ./checksetup.pl || :
./checksetup.pl || :
perl -pi -e 's/$db_check = 0;/$db_check = 1;/' localconfig

mkdir -p %{buildroot}/etc/cron.daily
sed -e's,@bugzilla@,'%{_bugzillalibdir}',' < %{SOURCE3} > %{buildroot}/etc/cron.daily/bugzilla
chmod +x %{buildroot}/etc/cron.daily/bugzilla

mkdir -p %{buildroot}/etc/httpd/conf.d
install -p %{SOURCE1} %{buildroot}/etc/httpd/conf.d/

%clean
rm -rf %{buildroot}

%post
#passwd=`mkpasswd -s 0`
#cd %{_bugzillalibdir}
#perl -pi -e "s/\$db_pass = 'THEPASSWORD';/\$db_pass = '$passwd';/" localconfig
#sed -e"s/THEPASSWORD/$passwd/" %{_docdir}/%{name}-%{version}/bugzilla.sql \
#  | mysql
#cd %{_bugzillalibdir}
#./checksetup.pl > /root/bugzilla.log 2>&1 || :

%files
%defattr(-,root,apache,-)
%doc docs bugzilla.sql
%doc UPGRADING UPGRADING-pre-2.8 README
%{_bugzillalibdir}

/etc/cron.daily/bugzilla
/etc/httpd/conf.d/bugzilla.conf

%changelog
* Thu Aug 24 2006 Aleksey Nogin <rpm@nogin.org>
- Included the CC list patch - https://bugzilla.mozilla.org/show_bug.cgi?id=38922

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.22.

* Sat Feb 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.20.1

* Sun Oct  9 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.20.

* Mon Jul 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.18.3.

* Fri Jul  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add cookiedomain fix.
- Improved bugzilla.conf bits from
  Russ Herrold <herrold@owlriver.com>.

* Fri Jul  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.18.2.

* Thu May 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.18.1.

* Tue Jan 18 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.18 final.

* Fri Dec  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.18rc3.

* Sat Jan 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.17.6.

* Thu Dec  5 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
